<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: 'EmployeeIncident')]
class EmployeeIncident
{
    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Employee::class, mappedBy: 'EmployeeIncidents')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Employee $employee = null;

    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Incident::class, mappedBy: 'EmployeeIncidents')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Incident $incident = null;
}
