<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: 'Requirements')]
class Requirements
{
    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Mission::class, mappedBy: 'requirements')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Mission $mission = null;

    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Skill::class, mappedBy: 'requirements')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Skill $skill = null;
}
