<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: 'Representation')]
class Representation
{
    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Employee::class, mappedBy: 'representations')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Employee $employee = null;

    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Ride::class, mappedBy: 'representations')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Ride $ride = null;

    #[ORM\Column]
    private ?int $count = null;

    public function getCount(): ?int
    {
        return $this->count;
    }

    public function setCount(?int $count): void
    {
        $this->count = $count;
    }

    #[ORM\Column]
    private ?\DateTime $date = null;

    public function getDate(): ?\DateTime
    {
        return $this->date;
    }

    public function setDate(?\DateTime $date): void
    {
        $this->date = $date;
    }
}
